/*右邊標籤選單開始*/
$(function () {
    var $li = $('ul.tab-title li');
    $($li.eq(0).addClass('active').find('a').attr('class')).siblings('.tab-inner').hide();

    $li.click(function () {
        $($(this).find('a').attr('class')).show().siblings('.tab-inner').hide();
        $(this).addClass('active').siblings('.active').removeClass('active');
        $("#right_tab").animate({
            right: 0
        }, 300);
        $(".right_tab_close").css("display", "block");
    });
});
/*右邊標籤選單結束*/

/*拖拉視窗開始*/
$(function () {
    $("#LayerWindow,#pciiriWindow").draggable();
});
/*拖拉視窗結束*/

$(document).ready(function () {
    //打開圖例
    $("#LayerWindow_open").click(function () {
        $("#LayerWindow").css("display", "block");
    });
    //關閉視窗
    $(".float_window_closeBTN").click(function () {
        $(this).closest(".float_window").css("display", "none");
    });
    //關閉右邊標籤
	/*$(".right_tab_close").click(function () {
		$("#right_tab").animate({
			right: '-700px'
		}, 300);
		$(this).css("display", "none");
	});	*/
    $(".tab-titleA").dblclick(function () {
        $("#right_tab").animate({
            right: '-700px'
        }, 300);
        //$(this).css("display", "none");
    });

    $(".tab-titleB").dblclick(function () {
        $("#right_tab").animate({
            right: '-700px'
        }, 300);
        //$(this).css("display", "none");
    });

    $(".tab-titleC").dblclick(function () {
        $("#right_tab").animate({
            right: '-700px'
        }, 300);
        //$(this).css("display", "none");
    });

    $(".tab-titleD").dblclick(function () {
        $("#right_tab").animate({
            right: '-700px'
        }, 300);
        //$(this).css("display", "none");
    });

});

/*施工監控影像選單開始*/
$(function () {
    $('.onitor_video_menu').each(function () {
        // 先取得相關的元素及寬度等資料
        var $this = $(this),
            $prevbtn = $this.find('.prevbtn'),
            $nexbtn = $this.find('.nextbtn'),
            _frameWidth = $this.find('.frame').width(),
            $carousel = $this.find('ul'),
            $items = $carousel.find('li'),
            _itemLength = $items.length,
            _set = Math.ceil(_frameWidth / $items.outerWidth(true)),
            _count = _itemLength / _set,
            _width = _set * $items.outerWidth(true) * -1,
            _speed = 400,
            _index = 0;
        // 當按了上下頁的按鈕時
        $prevbtn.find('.prev').click(function (e) {
            // 計算要顯示第幾組
            _index = (e.target.className === 'prev' ? _index - 1 + _count : _index + 1) % _count;

            // 進行動畫
            $carousel.stop().animate({
                left: _index * _width
            }, _speed);

            e.preventDefault();
        }).focus(function () {
            this.blur();
        });
        $nexbtn.find('.next').click(function (e) {
            // 計算要顯示第幾組
            _index = (e.target.className === 'prev' ? _index - 1 + _count : _index + 1) % _count;

            // 進行動畫
            $carousel.stop().animate({
                left: _index * _width
            }, _speed);

            e.preventDefault();
        }).focus(function () {
            this.blur();
        });

    })
});
/*施工監控影像選單結束*/
